<?xml version="1.0" encoding="UTF-8"?>
<application>
    <doc title="RESIF dataselect web service 1.0"/>

    <resources base="http://ph5ws.resif.fr/fdsnws/dataselect/1">
        <resource path="/">
            <method name="GET">
                <response>
                    <representation mediaType="text/html"/>
                </response>
            </method>
        </resource>
        <resource path="version">
            <method name="GET">
                <response>
                    <representation mediaType="text/plain"/>
                </response>
            </method>
        </resource>
        <resource path="application.wadl">
            <method name="GET" id="application.wadl">
                <response>
                    <representation mediaType="application/xml"/>
                </response>
            </method>
        </resource>
        <resource path="query">
            <method href="#query"/>
        </resource>
    </resources>

    <method name="GET" id="query">
        <request>
            <param name="network" style="query" required="true" type="xsd:string"/>
            <param name="station" style="query" required="true" type="xsd:string"/>
            <param name="location" style="query" required="true" type="xsd:string"/>
            <param name="channel" style="query" required="true" type="xsd:string"/>
            <param name="starttime" style="query" required="true" type="xsd:string"/>
            <param name="endtime" style="query" required="true" type="xsd:string"/>
            <param name="net" style="query" type="xsd:string"/>
            <param name="sta" style="query" type="xsd:string"/>
            <param name="loc" style="query" type="xsd:string"/>
            <param name="cha" style="query" type="xsd:string"/>
            <param name="start" style="query" type="xsd:string"/>
            <param name="end" style="query" type="xsd:string"/>
            <param name="reduction" style="query" type="xsd:string"/>
            <param name="decimate" style="query" type="xsd:string"/>
            <param name="deci" style="query" type="xsd:string"/>
            <param name="nodata" style="query" type="xsd:string"/>
            <param name="format" style="query" type="xsd:string">
                <option value="geocsv"/>
                <option value="mseed"/>
                <option value="sac"/>
            </param>
        </request>

        <response status="200 202 400 408 413 404 500 503">
            <representation mediaType="text/plain"/>
            <representation mediaType="application/octet-stream"/>
        </response>
    </method>

    <method name="POST" id="postQuery">
        <request>
            <representation mediaType="application/x-www-form-urlencoded"/>
        </request>
        <response>
            <representation mediaType="text/plain"/>
            <representation mediaType="application/octet-stream"/>
        </response>
    </method>


</application>
